Session Manager API
Session Manager API - Operator API
{
"playerId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}{
"sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "valid",
"expiresAt": "2025-10-08T14:00:00Z"
}REQUIRED - JWT Authorization header using the Bearer scheme. All API endpoints require authentication, except for authentication endpoints (Connect/authentication). Example: "Authorization: Bearer {token}"
Unique transaction identifier for request tracking
97df7c31-9d90-47da-a198-d0380f223156Player access token for session validation
eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...Session validation completed successfully. Check the 'status' field to determine if the session is valid.
Invalid request data, missing required fields, or malformed identifiers.
Invalid or missing X-Player-Token header authentication.
[
{
"sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"createdAt": "2025-10-08T10:00:00Z",
"expiresAt": "2025-10-08T14:00:00Z",
"status": "Active",
"gameId": "550e8400-e29b-41d4-a716-446655440000"
}
]REQUIRED - JWT Authorization header using the Bearer scheme. All API endpoints require authentication, except for authentication endpoints (Connect/authentication). Example: "Authorization: Bearer {token}"
The unique identifier of the player whose active sessions to retrieve.
Player access token for session validation
eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...Successfully retrieved active sessions. May return empty array if no active sessions exist.
Invalid player ID format or missing required authentication.
Invalid or missing X-Player-Token header authentication.
GET /session/player/3fa85f64-5717-4562-b3fc-2c963f66afa6/by-activity?activityDate=2025-10-08T10:00:00Z[
{
"sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"createdAt": "2025-10-08T09:30:00Z",
"expiresAt": "2025-10-08T13:30:00Z",
"status": "Expired"
}
]REQUIRED - JWT Authorization header using the Bearer scheme. All API endpoints require authentication, except for authentication endpoints (Connect/authentication). Example: "Authorization: Bearer {token}"
The unique identifier of the player to search sessions for.
The specific date and time (ISO 8601 format) to check for active sessions. Must be a valid DateTimeOffset value.
Successfully found sessions that were active during the specified time period.
Invalid player ID format or malformed activity date parameter.
No sessions were found active during the specified time period.
{
"playerId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}{
"sessionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "revoked"
}REQUIRED - JWT Authorization header using the Bearer scheme. All API endpoints require authentication, except for authentication endpoints (Connect/authentication). Example: "Authorization: Bearer {token}"
Unique transaction identifier for request tracking
66680177-6641-4eed-a299-5676d52e55ebPlayer access token for session validation
eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...Session successfully revoked and is no longer valid for authentication.
Invalid request data, missing required fields, or malformed identifiers.
Invalid or missing X-Player-Token header authentication.
Last updated